%define lib_name %mklibname %{name}- %{api_version} %{lib_major}
%define lib_major 0
%define api_version 1

Summary: Loudmouth is a C library for programming with the Jabber protocol
Name: loudmouth
Version: 1.2.3
Release: %mkrel 1
License: LGPL
Group: System/Libraries
URL: http://loudmouth.imendio.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel
BuildRequires: gnutls-devel >= 1.0.0
BuildRequires: libidn-devel
BuildRequires: gtk-doc

%description
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{lib_name}-devel
Summary:	Libraries and include files for loudmouth
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:   glib2-devel

%description -n %{lib_name}-devel
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

This package includes libraries and header files for developing
Loudmouth applications.

%prep
%setup -q

%build

%configure2_5x --enable-gtk-doc 

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*-%{api_version}.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%doc README AUTHORS NEWS ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*




%changelog
* Sun Jun 10 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2008.0
+ Revision: 37905
- new version

* Thu May 31 2007 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2008.0
+ Revision: 33398
- new version
- fix buildrequires


* Fri Feb 02 2007 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-1mdv2007.0
+ Revision: 115974
- Release 1.2.0
- Import loudmouth

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.5-1mdv2007.0
- Release 1.0.5

* Tue Jul 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-1mdv2007.0
- Release 1.0.4

* Sat Apr 29 2006 Jerome Soyer <saispo@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdk 
- Release 1.0.1

* Tue May 10 2005 Frederic Crozat <fcrozat@mandriva.com> 0.90-1mdk 
- Release 0.90

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17.2-2mdk 
- Rebuild with latest gnutls

* Tue Nov 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17.2-1mdk
- New release 0.17.2

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17.1-1mdk
- New release 0.17.1

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-1mdk
- New release 0.17
- Enable libtoolize

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Rebuild against latest gnutls

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-1mdk
- Release 0.16

